package com.jz.dm.mall.moduls.controller.goods;


import com.jz.common.base.BaseController;
import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.service.DataGoodsCategoryService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 数据商品分类(行业)(TDataGoodsCategory)表控制层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:32
 */
@RestController
@RequestMapping("dataGoodsCategory")
@Api(tags = "数据商品分类行业")
public class DataGoodsCategoryController extends BaseController {
    /**
     * 服务对象
     */
    @Autowired
    private DataGoodsCategoryService categoryService;

    @GetMapping(value = "/findCategory/{pid}")
    @ApiOperation(value = "查询数据商品分类", notes = "查询父类下的商品分类")
    public Result findCategory(@PathVariable(value = "pid") Long pid) {
//            categoryService.findCateGory
        return null;
    }

}